## qt6-quick3d 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(quick3d)

qt_examples_build_end()

=== tools/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(balsam)
if(TARGET Qt::Widgets)
    if(TARGET Qt::Concurrent)
        add_subdirectory(balsamui)
    else()
        message(NOTICE "Skipping balsamui as the condition \"TARGET Qt::Concurrent\" is not met.")
    endif()
else()
    message(NOTICE "Skipping balsamui as the condition \"TARGET Qt::Widgets\" is not met.")
endif()
add_subdirectory(meshdebug)
if(TARGET Qt::ShaderTools)
    add_subdirectory(shadergen)
endif()
add_subdirectory(instancer)
if(QT_FEATURE_cborstreamwriter)
    add_subdirectory(shapegen)
endif()
if(QT_FEATURE_localserver)
    add_subdirectory(materialeditor)
endif()

=== config.tests/quick3d_assimp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3d_assimp.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_quick3d_assimp LANGUAGES C CXX)

if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH)
    set(CMAKE_SYSTEM_PREFIX_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_PREFIX_PATH}")
endif()
if(DEFINED QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH)
    set(CMAKE_SYSTEM_FRAMEWORK_PATH "${QT_CONFIG_COMPILE_TEST_CMAKE_SYSTEM_FRAMEWORK_PATH}")
endif()

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== examples/quick3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(antialiasing)
qt_internal_add_example(customshaders)
qt_internal_add_example(hellocube)
qt_internal_add_example(intro)
qt_internal_add_example(view3d)
qt_internal_add_example(picking)
qt_internal_add_example(lights)
qt_internal_add_example(custommaterial)
qt_internal_add_example(principledmaterial)
qt_internal_add_example(proceduraltexture)
qt_internal_add_example(dynamiccreation)
qt_internal_add_example(quickitems)
qt_internal_add_example(customgeometry)
qt_internal_add_example(customeffect)
qt_internal_add_example(custominstancing)
qt_internal_add_example(instancing)
qt_internal_add_example(skinning)
qt_internal_add_example(offlineshaders)
qt_internal_add_example(submeshes)
qt_internal_add_example(quickball)
qt_internal_add_example(helloqtquick3d)
qt_internal_add_example(morphing)
qt_internal_add_example(custommorphing)
qt_internal_add_example(particles3d)
qt_internal_add_example(runtimeloader)
qt_internal_add_example(screenspacereflections)
qt_internal_add_example(reflectionprobes)
qt_internal_add_example(bakedlightmap)
qt_internal_add_example(lodhelper)
qt_internal_add_example(simplefog)
qt_internal_add_example(sceneeffects)
qt_internal_add_example(volumeraycaster)
qt_internal_add_example(virtualassistant)
qt_internal_add_example(extensions/stenciloutline)
qt_internal_add_example(cascadedshadowmaps)
qt_internal_add_example(orderindependenttransparency)

if(QT_FEATURE_quick3dxr_openxr)
    qt_internal_add_example(xr_simple)
    qt_internal_add_example(xr_anchors)
    qt_internal_add_example(xr_freeformteleportation)
    qt_internal_add_example(xr_input)
    qt_internal_add_example(xr_touch)
    qt_internal_add_example(xr_interaction)
endif()

# qt_examples_build_end() misses at least some of these due to some
# source subdirectories being added multiple times. See QTBUG-96159.
if(QT_FEATURE_quick3dxr_openxr)
    set(reused_dir_targets
        xr_interaction_shared
        xr_interaction_shared_init
    )
endif()

foreach(target IN LISTS reused_dir_targets)
    if(TARGET ${target})
        qt_autogen_tools(${target} ENABLE_AUTOGEN_TOOLS moc rcc)
        if(TARGET Qt6::Widgets)
            qt_autogen_tools(${target} ENABLE_AUTOGEN_TOOLS uic)
        endif()
    endif()
endforeach()

=== src/assetimport/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from assetimport.pro.

#####################################################################
## Quick3DAssetImport Module:
#####################################################################

qt_internal_add_module(Quick3DAssetImport
    PLUGIN_TYPES assetimporters
    SOURCES
        qtquick3dassetimportglobal_p.h
        qssgassetimporter_p.h
        qssgassetimporterfactory.cpp qssgassetimporterfactory_p.h
        qssgassetimporterplugin_p.h
        qssgassetimportmanager.cpp qssgassetimportmanager_p.h
    DEFINES
        QT_BUILD_QUICK3DASSETIMPORT_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::Quick3DUtilsPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick3DUtils
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::Quick3DUtilsPrivate
)

#### Keys ignored in scope 1:.:.:assetimport.pro:<TRUE>:
# MODULE = "quick3dassetimport"
# OTHER_FILES = "options-schema.json"

=== src/glslparser/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(Quick3DGlslParserPrivate
    INTERNAL_MODULE
    DEFINES
        QT_BUILD_QUICK3DGLSLPARSER_PRIVATE_LIB
    SOURCES
        glsl_p.h
        glslast.cpp glslast_p.h
        glslastdump.cpp glslastdump_p.h
        glslastvisitor.cpp glslastvisitor_p.h
        glslengine.cpp glslengine_p.h
        glslkeywords.cpp
        glsllexer.cpp glsllexer_p.h
        glslmemorypool.cpp glslmemorypool_p.h
        glslparser.cpp glslparser_p.h
        glslparsertable.cpp glslparsertable_p.h
        glslsemantic.cpp glslsemantic_p.h
        glslsymbol.cpp glslsymbol_p.h
        glslsymbols.cpp glslsymbols_p.h
        glsltype.cpp glsltype_p.h
        glsltypes.cpp glsltypes_p.h
    DEFINES
        QT_NO_CAST_FROM_ASCII
    PUBLIC_LIBRARIES
        Qt::Core
)

=== src/helpers/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qtquick3dhelpersplugin Plugin:
#####################################################################

qt_internal_add_qml_module(Quick3DHelpers
    URI "QtQuick3D.Helpers"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    CLASS_NAME QtQuick3DHelpersPlugin
    PLUGIN_TARGET qtquick3dhelpersplugin
    DEPENDENCIES
        QtQuick3D.Helpers.impl/auto
        QtQuick3D/auto
    PAST_MAJOR_VERSIONS 1
    SOURCES
        gridgeometry.cpp gridgeometry_p.h
        heightfieldgeometry.cpp heightfieldgeometry_p.h
        randominstancing.cpp randominstancing_p.h
        lookatnode.cpp lookatnode_p.h
        instancerepeater.cpp instancerepeater_p.h
        infinitegrid_p.h infinitegrid.cpp
        proceduralskytexturedata.cpp proceduralskytexturedata_p.h
        qquick3dtexturedatafrontend_p.h qquick3dtexturedatafrontend.cpp
        proceduralmesh_p.h proceduralmesh.cpp
        extrudedtextgeometry_p.h extrudedtextgeometry.cpp
        torusgeometry_p.h torusgeometry.cpp
        conegeometry_p.h conegeometry.cpp
        cylindergeometry_p.h cylindergeometry.cpp
        spheregeometry_p.h spheregeometry.cpp
        planegeometry_p.h planegeometry.cpp
        cuboidgeometry_p.h cuboidgeometry.cpp
        qtquick3dhelpersglobal_p.h
    QML_FILES
        AxisHelper.qml
        DebugView.qml
        WasdController.qml
        OrbitCameraController.qml
        LodManager.qml
        ExtendedSceneEnvironment.qml
    RESOURCES
        meshes/axisGrid.mesh
    DEFINES
        QT_BUILD_QUICK3DHELPERS_LIB
    LIBRARIES
        Qt::Quick3D
    PUBLIC_LIBRARIES
        Qt::Qml
        Qt::Quick
        Qt::Quick3DPrivate
        Qt::GuiPrivate
)

qt_internal_extend_target(Quick3DHelpers CONDITION QT_FEATURE_concurrent
    LIBRARIES
        Qt::Concurrent
)

if(QT_FEATURE_quick_designer AND QT_BUILD_SHARED_LIBS) # special case handle unconverted static
    add_subdirectory(designer)
endif()

add_subdirectory(impl)

_qt_internal_add_qml_static_plugin_dependency(Quick3DHelpers Quick3DHelpersImpl)

=== src/iblbaker/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_module(Quick3DIblBaker
    SOURCES
        qssgiblbaker.cpp qssgiblbaker_p.h
        qtquick3diblbaker_p.h
    DEFINES
        QT_BUILD_QUICK3DIBLBAKER_LIB
    LIBRARIES
        Qt::Quick3DRuntimeRenderPrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Quick
        Qt::Quick3DRuntimeRender
    PRIVATE_MODULE_INTERFACE
        Qt::Quick3DRuntimeRenderPrivate
        Qt::GuiPrivate
)

=== src/quick3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3d.pro.

#####################################################################
## Quick3D Module:
#####################################################################

qt_internal_add_module(Quick3D
    SOURCES
        qquick3d.cpp qquick3d.h
        qquick3dabstractlight.cpp qquick3dabstractlight_p.h
        qquick3dcamera.cpp qquick3dcamera_p.h
        qquick3dcustomcamera.cpp qquick3dcustomcamera_p.h
        qquick3dcustommaterial.cpp qquick3dcustommaterial_p.h
        qquick3ddebugsettings_p.h qquick3ddebugsettings.cpp
        qquick3ddefaultmaterial.cpp qquick3ddefaultmaterial_p.h
        qquick3ddirectionallight.cpp qquick3ddirectionallight_p.h
        qquick3deffect.cpp qquick3deffect_p.h
        qquick3dfrustumcamera.cpp qquick3dfrustumcamera_p.h
        qquick3dgeometry.cpp qquick3dgeometry.h qquick3dgeometry_p.h
        qquick3dinstancing.cpp qquick3dinstancing.h qquick3dinstancing_p.h
        qquick3ditem2d.cpp qquick3ditem2d_p.h
        qquick3djoint.cpp qquick3djoint_p.h
        qquick3dloader.cpp qquick3dloader_p.h
        qquick3dmaterial.cpp qquick3dmaterial_p.h
        qquick3dmodel.cpp qquick3dmodel_p.h
        qquick3dnode.cpp qquick3dnode_p.h
        qquick3dnode_p_p.h
        qquick3dobject.cpp qquick3dobject.h qquick3dobject_p.h
        qquick3dobjectchangelistener_p.h
        qquick3dorthographiccamera.cpp qquick3dorthographiccamera_p.h
        qquick3dperspectivecamera.cpp qquick3dperspectivecamera_p.h
        qquick3dpickresult.cpp qquick3dpickresult_p.h
        qquick3dpointlight.cpp qquick3dpointlight_p.h
        qquick3dprincipledmaterial.cpp qquick3dprincipledmaterial_p.h
        qquick3dquaternionanimation.cpp qquick3dquaternionanimation_p.h
        qquick3dquaternionutils.cpp qquick3dquaternionutils_p.h
        qquick3dreflectionprobe.cpp qquick3dreflectionprobe_p.h
        qquick3drenderstats.cpp qquick3drenderstats_p.h
        qquick3drepeater.cpp qquick3drepeater_p.h
        qquick3dresourceloader.cpp qquick3dresourceloader_p.h
        qquick3dsceneenvironment.cpp qquick3dsceneenvironment_p.h
        qquick3dscenemanager.cpp qquick3dscenemanager_p.h
        qquick3dscenerenderer.cpp qquick3dscenerenderer_p.h
        qquick3dscenerootnode.cpp qquick3dscenerootnode_p.h
        qquick3dshaderutils.cpp qquick3dshaderutils_p.h
        qquick3dskeleton.cpp qquick3dskeleton_p.h
        qquick3dspotlight.cpp qquick3dspotlight_p.h
        qquick3dmorphtarget.cpp qquick3dmorphtarget_p.h
        qquick3dtexture.cpp qquick3dtexture_p.h
        qquick3dtexturedata.cpp qquick3dtexturedata.h qquick3dtexturedata_p.h
        qquick3dskin.cpp qquick3dskin_p.h
        qquick3dutils_p.h
        qquick3dviewport.cpp qquick3dviewport_p.h
        qtquick3dglobal.h qtquick3dglobal_p.h
        qquick3dcubemaptexture.cpp qquick3dcubemaptexture_p.h
        qquick3dbakedlightmap.cpp qquick3dbakedlightmap_p.h
        qquick3dlightmapper.cpp qquick3dlightmapper_p.h
        qquick3dspecularglossymaterial.cpp qquick3dspecularglossymaterial_p.h
        qquick3dfog.cpp qquick3dfog_p.h
        qquick3dlightmapbaker.cpp qquick3dlightmapbaker_p.h
        extensions/qquick3drenderextensions.cpp extensions/qquick3drenderextensions.h
        extensions/qquick3dextensionhelpers.cpp extensions/qquick3dextensionhelpers.h
    SSG_HEADER_FILTERS
        "(^|/)qquick3dextensionhelpers\\.h$"
    DEFINES
        QT_BUILD_QUICK3D_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick3DRuntimeRenderPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::Quick3DRuntimeRender
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::Quick3DRuntimeRenderPrivate
        Qt::QuickPrivate
)

qt_internal_add_qml_module(Quick3D
    URI "QtQuick3D"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    DEPENDENCIES QtQuick/auto
    CLASS_NAME QQuick3DPlugin
    PLUGIN_TARGET qquick3dplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    QML_FILES LightmapperOutputWindow.qml
)

qt_internal_extend_target(qquick3dplugin
    SOURCES
        plugin.cpp
    LIBRARIES
        Qt::Quick3DPrivate
)

qt_internal_generate_tracepoints(Quick3D quick3d
    SOURCES
        qquick3dscenerenderer.cpp
)

set_property(SOURCE qquick3dgeometry.cpp PROPERTY SKIP_AUTOMOC ON) # special case
set_property(SOURCE qquick3dtexturedata.cpp PROPERTY SKIP_AUTOMOC ON) # special case

if(QT_FEATURE_quick_designer AND QT_BUILD_SHARED_LIBS) # special case handle unconverted static
    add_subdirectory(designer)
endif()

qt_internal_add_docs(Quick3D
    doc/qtquick3d.qdocconf
)

=== src/quick3dparticleeffects/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Quick3DParticleEffects Module:
#####################################################################

qt_internal_add_qml_module(Quick3DParticleEffects
    URI "QtQuick3D.ParticleEffects"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    CLASS_NAME QtQuick3DParticleEffectsPlugin
    PLUGIN_TARGET qtquick3dparticleeffectsplugin
    DEPENDENCIES
        QtQuick3D/auto
        QtQuick3D.Particles3D/auto
    NO_SYNC_QT
    DEFINES
        QT_BUILD_QUICK3DPARTICLEEFFECTS_LIB
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::Quick3DRuntimeRender
        Qt::Quick3DAssetImport
        Qt::Quick3D
        Qt::Quick3DParticles
)

set_target_properties(Quick3DParticleEffects PROPERTIES DISABLE_PRECOMPILE_HEADERS ON)

if(QT_FEATURE_quick_designer AND QT_BUILD_SHARED_LIBS) # special case handle unconverted static
    add_subdirectory(designer)
endif()

=== src/runtimerender/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from runtimerender.pro.

#####################################################################
## Quick3DRuntimeRender Module:
#####################################################################

# Handle the conditional finding of either system zlib or qt zlib.
if(NOT QT_FEATURE_system_zlib)
    find_package(Qt6 COMPONENTS ZlibPrivate)
elseif(NOT TARGET WrapZLIB::WrapZLIB)
    qt_find_package(WrapZLIB PROVIDED_TARGETS WrapZLIB::WrapZLIB)
endif()

qt_internal_add_module(Quick3DRuntimeRender
    SOURCES
        graphobjects/qssgrendercamera.cpp graphobjects/qssgrendercamera_p.h
        graphobjects/qssgrendercustommaterial_p.h
        graphobjects/qssgrenderdefaultmaterial.cpp graphobjects/qssgrenderdefaultmaterial_p.h
        graphobjects/qssgrendereffect.cpp graphobjects/qssgrendereffect_p.h
        graphobjects/qssgrendergeometry.cpp graphobjects/qssgrendergeometry_p.h
        graphobjects/qssgrendergraphobject.cpp graphobjects/qssgrendergraphobject_p.h graphobjects/qssgrendergraphobject.h
        graphobjects/qssgrenderimage.cpp graphobjects/qssgrenderimage_p.h
        graphobjects/qssgrenderinstancetable.cpp graphobjects/qssgrenderinstancetable_p.h
        graphobjects/qssgrenderitem2d.cpp graphobjects/qssgrenderitem2d_p.h
        graphobjects/qssgrenderjoint.cpp graphobjects/qssgrenderjoint_p.h
        graphobjects/qssgrenderlayer.cpp graphobjects/qssgrenderlayer_p.h
        graphobjects/qssgrenderlight.cpp graphobjects/qssgrenderlight_p.h
        graphobjects/qssgrendermodel.cpp graphobjects/qssgrendermodel_p.h
        graphobjects/qssgrendernode.cpp graphobjects/qssgrendernode_p.h
        graphobjects/qssgrenderskeleton.cpp graphobjects/qssgrenderskeleton_p.h
        graphobjects/qssgrenderskin.cpp graphobjects/qssgrenderskin_p.h
        graphobjects/qssgrendertexturedata.cpp graphobjects/qssgrendertexturedata_p.h
        graphobjects/qssgrendermorphtarget.cpp graphobjects/qssgrendermorphtarget_p.h
        graphobjects/qssgrenderresourceloader.cpp graphobjects/qssgrenderresourceloader_p.h
        graphobjects/qssgrenderreflectionprobe.cpp graphobjects/qssgrenderreflectionprobe_p.h
        qssgperframeallocator_p.h
        qssgrenderableimage_p.h
        qssgrenderclippingfrustum.cpp qssgrenderclippingfrustum_p.h
        graphobjects/qssgrenderparticles.cpp graphobjects/qssgrenderparticles_p.h
        qssgrendercommands.cpp qssgrendercommands_p.h
        qssgrendercontextcore.cpp qssgrendercontextcore.h
        qssgrenderdefaultmaterialshadergenerator.cpp qssgrenderdefaultmaterialshadergenerator_p.h
        qssgrendererutil_p.h
        qssgrenderimagetexture_p.h
        qssgrendermesh_p.h
        qssgrenderray.cpp qssgrenderray_p.h
        qssgrendershadercache.cpp qssgrendershadercache_p.h
        qssgrendershadercodegenerator.cpp qssgrendershadercodegenerator_p.h
        qssgrendershaderkeys_p.h
        qssgrendershadermetadata.cpp qssgrendershadermetadata_p.h
        qssgrendershadowmap.cpp qssgrendershadowmap_p.h
        qssgrenderreflectionmap.cpp qssgrenderreflectionmap_p.h
        qssgrenderpickresult_p.h qssgrenderpickresult.h
        qssgrhiparticles.cpp qssgrhiparticles_p.h
        qssgrhicontext.cpp qssgrhicontext_p.h qssgrhicontext.h
        qssgrhicustommaterialsystem.cpp qssgrhicustommaterialsystem_p.h
        qssgrhieffectsystem.cpp qssgrhieffectsystem_p.h
        qssgrhiquadrenderer.cpp qssgrhiquadrenderer_p.h
        qssgruntimerenderlogging.cpp qssgruntimerenderlogging_p.h
        qssgshadermapkey_p.h
        qssgshadermaterialadapter.cpp qssgshadermaterialadapter_p.h
        qssgshaderresourcemergecontext_p.h
        qtquick3druntimerenderglobal_p.h
        qtquick3druntimerenderglobal.h
        rendererimpl/qssgrenderableobjects.cpp rendererimpl/qssgrenderableobjects_p.h
        rendererimpl/qssgrenderer.cpp rendererimpl/qssgrenderer_p.h
        rendererimpl/qssglayerrenderdata_p.h
        rendererimpl/qssglayerrenderdata.cpp
        rendererimpl/qssglightmapper.cpp rendererimpl/qssglightmapper_p.h rendererimpl/qssglightmapper.h
        rendererimpl/qssgrendererimplshaders_p.h rendererimpl/qssgrendererimplshaders_rhi.cpp
        rendererimpl/qssgvertexpipelineimpl.cpp rendererimpl/qssgvertexpipelineimpl_p.h
        rendererimpl/qssgrenderpass_p.h rendererimpl/qssgrenderpass.cpp
        rendererimpl/qssgrenderhelpers_p.h rendererimpl/qssgrenderhelpers.cpp
        rendererimpl/qssgshadowmaphelpers_p.h rendererimpl/qssgshadowmaphelpers.cpp
        resourcemanager/qssgrenderbuffermanager.cpp resourcemanager/qssgrenderbuffermanager_p.h
        resourcemanager/qssgrenderloadedtexture.cpp resourcemanager/qssgrenderloadedtexture_p.h
        resourcemanager/qssgrendershaderlibrarymanager.cpp resourcemanager/qssgrendershaderlibrarymanager_p.h
        rendererimpl/qssgcputonemapper_p.h
        extensionapi/qssgrenderextensions.h extensionapi/qssgrenderextensions.cpp
        extensionapi/qssgrenderhelpers.h extensionapi/qssgrenderhelpers.cpp
        qssgdebugdrawsystem_p.h qssgdebugdrawsystem.cpp
    NO_UNITY_BUILD_SOURCES
        rendererimpl/qssglightmapper.cpp              # avoiding possible clash with tinyexr' macros
        resourcemanager/qssgrenderbuffermanager.cpp # redefinition of 'cube' (from qssgrenderreflectionmap.cpp)
        resourcemanager/qssgrenderloadedtexture.cpp   # avoiding possible clash with tinyexr' macros
    DEFINES
        QT_BUILD_QUICK3DRUNTIMERENDER_LIB
    LIBRARIES
        Qt::Quick3DUtilsPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Quick
        Qt::Quick3DUtils
    PRIVATE_MODULE_INTERFACE
        Qt::Quick3DUtilsPrivate
        Qt::QuickPrivate
    SSG_HEADER_FILTERS
        "(^|/)qssg.*[^_][^p]\\.h$"
)

qt_internal_extend_target(Quick3DRuntimeRender CONDITION TARGET Qt::ShaderTools
    PUBLIC_LIBRARIES
        Qt::ShaderTools
    LIBRARIES
        Qt::ShaderToolsPrivate
    DEFINES
        QT_QUICK3D_HAS_RUNTIME_SHADERS
)

if(QT_QUICK3D_HAS_EMBREE)
    find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS Concurrent)
endif()

qt_internal_extend_target(Quick3DRuntimeRender CONDITION QT_QUICK3D_HAS_EMBREE
    PUBLIC_LIBRARIES
        Qt::Concurrent
    LIBRARIES
        Qt::BundledEmbree
    DEFINES
        QT_QUICK3D_HAS_LIGHTMAPPER
)

# Resources:
set(res_resource_files
    "res/effectlib/bsdf.glsllib"
    "res/effectlib/defaultMaterialBumpNoLod.glsllib"
    "res/effectlib/defaultMaterialFresnel.glsllib"
    "res/effectlib/depthpass.glsllib"
    "res/effectlib/funccalculatePointLightAttenuation.glsllib"
    "res/effectlib/funcdiffuseBurleyBSDF.glsllib"
    "res/effectlib/funcdiffuseReflectionBSDF.glsllib"
    "res/effectlib/funcdiffuseReflectionWrapBSDF.glsllib"
    "res/effectlib/funcgetTransformedUVCoords.glsllib"
    "res/effectlib/funclightmap.glsllib"
    "res/effectlib/funcsampleLightVars.glsllib"
    "res/effectlib/funcsampleNormalTexture.glsllib"
    "res/effectlib/funcspecularBSDF.glsllib"
    "res/effectlib/funcspecularGGXBSDF.glsllib"
    "res/effectlib/physGlossyBSDF.glsllib"
    "res/effectlib/principledMaterialFresnel.glsllib"
    "res/effectlib/sampleProbe.glsllib"
    "res/effectlib/sampleReflectionProbe.glsllib"
    "res/effectlib/shadowMapping.glsllib"
    "res/effectlib/skinanim.glsllib"
    "res/effectlib/ssao.glsllib"
    "res/effectlib/tonemapping.glsllib"
    "res/effectlib/transmission.glsllib"
    "res/effectlib/morphanim.glsllib"
    "res/effectlib/morphanim_custom.glsllib"
    "res/effectlib/parallaxMapping.glsllib"
    "res/effectlib/particles.glsllib"
    "res/effectlib/fog.glsllib"
    "res/effectlib/texturesample.glsllib"
    "res/effectlib/oitcommon.glsllib"
    "res/effectlib/orderindependenttransparency.glsllib"
    "res/primitives/Cone.mesh"
    "res/primitives/Cube.mesh"
    "res/primitives/Cylinder.mesh"
    "res/primitives/Rectangle.mesh"
    "res/primitives/Sphere.mesh"
)

qt_internal_add_resource(Quick3DRuntimeRender "res"
    PREFIX
        "/"
    FILES
        ${res_resource_files}
)

# special case begin

qt_internal_extend_target(Quick3DRuntimeRender
    INCLUDE_DIRECTORIES
        ../3rdparty/tinyexr
        ../3rdparty/embree/include
    NO_UNITY_BUILD_SOURCES
        ../3rdparty/tinyexr/tinyexr.h
        ../3rdparty/embree/include/embree3/rtcore.h
        ../3rdparty/embree/include/embree3/rtcore_buffer.h
        ../3rdparty/embree/include/embree3/rtcore_builder.h
        ../3rdparty/embree/include/embree3/rtcore_common.h
        ../3rdparty/embree/include/embree3/rtcore_config.h
        ../3rdparty/embree/include/embree3/rtcore_device.h
        ../3rdparty/embree/include/embree3/rtcore_geometry.h
        ../3rdparty/embree/include/embree3/rtcore_quaternion.h
        ../3rdparty/embree/include/embree3/rtcore_ray.h
        ../3rdparty/embree/include/embree3/rtcore_scene.h
    ATTRIBUTION_FILE_DIR_PATHS
        ../3rdparty/tinyexr
        ../3rdparty/embree
)

qt_internal_extend_target(Quick3DRuntimeRender CONDITION QT_FEATURE_system_zlib
    LIBRARIES
        WrapZLIB::WrapZLIB
)

qt_internal_extend_target(Quick3DRuntimeRender CONDITION NOT QT_FEATURE_system_zlib
    LIBRARIES
        Qt6::ZlibPrivate
)

qt_internal_generate_tracepoints(Quick3DRuntimeRender quick3d
    SOURCES
        qssgrhicontext.cpp
        resourcemanager/qssgrenderbuffermanager.cpp
        qssgrendershadercache.cpp
        qssgrhicustommaterialsystem.cpp
)

# default settings are GLSL "100es,120,150" HLSL "50" MSL "12"
qt_internal_add_shaders(Quick3DRuntimeRender "res_shaders"
    SILENT
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    PREFIX
        "/"
    FILES
        res/rhishaders/environmentmap.vert
        res/rhishaders/environmentmap.frag
        res/rhishaders/debugobject.vert
        res/rhishaders/debugobject.frag
)
qt_internal_add_shaders(Quick3DRuntimeRender "res_shaders_pertarget"
    SILENT
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    PERTARGETCOMPILE
    PREFIX
        "/"
    FILES
        res/rhishaders/ssaaresolve.vert
        res/rhishaders/ssaaresolve.frag
        res/rhishaders/progressiveaa.vert
        res/rhishaders/progressiveaa.frag
        res/rhishaders/simplequad.vert
        res/rhishaders/simplequad.frag
)
qt_internal_add_shaders(Quick3DRuntimeRender "res_shaders_es3_pertarget"
    SILENT
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    PERTARGETCOMPILE
    GLSL "300es,120,150"
    PREFIX
        "/"
    FILES
        res/rhishaders/lightmapdilate.vert
        res/rhishaders/lightmapdilate.frag
)
qt_internal_add_shaders(Quick3DRuntimeRender "res_shaders_clear_mrt"
    SILENT
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    GLSL "300es,150"
    PREFIX
        "/"
    FILES
        res/rhishaders/clearmrt.vert
        res/rhishaders/clearmrt.frag
    OUTPUTS
        res/rhishaders/clear_mrt.vert.qsb
        res/rhishaders/clear_mrt.frag.qsb
)
qt_internal_add_shaders(Quick3DRuntimeRender "res_shaders_es3_gl3"
    SILENT
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    GLSL "300es,150"
    PREFIX
        "/"
    FILES
        res/rhishaders/ssao.vert
        res/rhishaders/ssao.frag
        res/rhishaders/skybox.vert
        res/rhishaders/skybox.frag
        res/rhishaders/environmentmapprefilter.vert
        res/rhishaders/environmentmapprefilter.frag
        res/rhishaders/reflectionprobeprefilter.vert
        res/rhishaders/reflectionprobeprefilter.frag
        res/rhishaders/skyboxcube.vert
        res/rhishaders/skyboxcube.frag
        res/rhishaders/grid.frag
        res/rhishaders/grid.vert
)
qt_internal_add_shaders(Quick3DRuntimeRender "res_shaders_lightprobe_rgbe"
    SILENT
    PRECOMPILE
    OPTIMIZED
    MULTIVIEW
    GLSL "300es,150"
    PREFIX
        "/"
    FILES
        res/rhishaders/environmentmapprefilter.vert
        res/rhishaders/environmentmapprefilter.frag
    OUTPUTS
        res/rhishaders/environmentmapprefilter_rgbe.vert.qsb
        res/rhishaders/environmentmapprefilter_rgbe.frag.qsb

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from auto.pro.
# exclude for CI build
add_subdirectory(quick3d_visual)
if(QT_BUILD_MINIMAL_STATIC_TESTS)
    return()
endif()
add_subdirectory(cmake)
if(NOT INTEGRITY)
    add_subdirectory(quick3d)
endif()
add_subdirectory(quick3d_particles)
add_subdirectory(utils)
add_subdirectory(tools)
if((android_app OR NOT ANDROID) AND (android_app OR NOT INTEGRITY) AND (NOT ANDROID OR NOT CMAKE_CROSSCOMPILING) AND (NOT ANDROID OR NOT WASM) AND (NOT CMAKE_CROSSCOMPILING OR NOT INTEGRITY) AND (NOT INTEGRITY OR NOT WASM))
    add_subdirectory(assetimport)
endif()

=== debian/changelog ===
qt6-quick3d (6.9.2-0zneon+24.04+noble+stable+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 00:47:30 +0000

qt6-quick3d (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:45:38 +1000

qt6-quick3d (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:37:55 +1000

qt6-quick3d (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:25:51 +1000

qt6-quick3d (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:22:19 +1000

qt6-quick3d (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:02:32 +1000

qt6-quick3d (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:23:15 +1000

qt6-quick3d (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:59:26 +1000

qt6-quick3d (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:38:26 +1000

qt6-quick3d (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 14:23:19 +1000

qt6-quick3d (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 21:51:21 +0100

=== debian/control ===
Source: qt6-quick3d
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libassimp-dev (>= 5.1.6~),
               libgl-dev,
               libopenxr-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-glx0-dev,
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-declarative-dev (>= 6.9.2~),
               qt6-quicktimeline-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-quick3d.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-quick3d
Maintainer: Neon CI <neon@kde.org>

Package: qt6-quick3d
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6quick3d6,
          libqt6quick3dassetimport6,
          libqt6quick3dassetutils6,
          libqt6quick3deffects6,
          libqt6quick3dglslparser6,
          libqt6quick3dhelpers6,
          libqt6quick3diblbaker6,
          libqt6quick3dparticleeffects6,
          libqt6quick3dparticles6,
          libqt6quick3druntimerender6,
          libqt6quick3dutils6,
          qml6-module-quick3d,
          qml6-module-quick3d-assetutils,
          qml6-module-quick3d-effects,
          qml6-module-quick3d-helpers,
          qml6-module-quick3d-particleeffects,
          qml6-module-quick3d-particles3d,
          qt6-qmltooling-quick3dprofiler-plugin,
          qt6-quick3d-assetimporters-plugin
Description: Qt 6 Quick 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D library.

Package: qt6-quick3d-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative,
         qt6-quick3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-quick3d-dev-tools, qt6-quick3d-doc-dev, qt6-quick3d-examples
Description: Qt 6 Quick 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D library.

Package: qt6-quick3d-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-quick3d-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-quick3d-doc-html
Description: Qt 6 Quick 3D - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Quick 3D library.

Package: libqt6quick3d6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dassetimport6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dassetutils6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3deffects6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dglslparser6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dhelpers6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3diblbaker6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dparticleeffects6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dparticles6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3druntimerender6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick3dutils6
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-assetimporters-plugin
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-assetutils
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-effects
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-helpers
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-particleeffects
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-quick3d-particles3d
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-qmltooling-quick3dprofiler-plugin
Architecture: all
Depends: qt6-quick3d, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-dev-tools
Architecture: all
Depends: qt6-quick3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-doc-dev
Architecture: all
Depends: qt6-quick3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-doc-html
Architecture: all
Depends: qt6-quick3d-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-quick3d-examples
Architecture: all
Depends: qt6-quick3d-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtquick3d-everywhere-src-([\d\.]+\d).tar.xz

## qt6-quick3d 6.9.3

=== debian/changelog ===
qt6-quick3d (6.9.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:30:07 +0000

qt6-quick3d (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
                mold,
                ninja-build,
                pkg-kde-tools,
+               pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.2~),
-               qt6-declarative-dev (>= 6.9.2~),
-               qt6-quicktimeline-dev (>= 6.9.2~),
-               qt6-shadertools-dev (>= 6.9.2~),
+               qt6-base-dev (>= 6.9.3~),
+               qt6-declarative-dev (>= 6.9.3~),
+               qt6-quicktimeline-dev (>= 6.9.3~),
+               qt6-shadertools-dev (>= 6.9.3~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-tools (>= 6.9~) <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

## qt6-quick3d 6.10.0

=== debian/changelog ===
qt6-quick3d (6.10.0-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 08:20:07 +0000

qt6-quick3d (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:35:18 +1000

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,13 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-quicktimeline-dev (>= 6.9.3~),
-               qt6-shadertools-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-quicktimeline-dev (>= 6.10.0~),
+               qt6-shadertools-dev (>= 6.10.0~),
                zlib1g-dev
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk

## qt6-quick3d 6.10.1

=== debian/changelog ===
qt6-quick3d (6.10.1-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 08:49:54 +0000

qt6-quick3d (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:08 +1000

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-quicktimeline-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-quicktimeline-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~),
                zlib1g-dev
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtquick3d-everywhere-src-([\d\.]+\d).tar.xz
